Kubernetes ResourcesGet user details

Get user details

Get user details

curl -X GET "https://api.rad.security/accounts/example_string/resources/rbac/users/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "account_id": "example_string",
  "api_group": "example_string",
  "assigned_roles": [
    {
      "kind": "example_string",
      "name": "John Doe",
      "namespace": "John Doe",
      "uid": "example_string",
      "account_id": "example_string",
      "cluster_id": "example_string",
      "created_at": "example_string",
      "id": "example_string",
      "updated_at": "example_string"
    }
  ],
  "cluster_id": "example_string",
  "cluster_role_bindings": [
    {}
  ],
  "created_at": "example_string",
  "graph": {
    "edges": [
      {
        "from_id": "example_string",
        "id": "example_string",
        "to_id": "example_string",
        "type": "example_string"
      }
    ],
    "nodes": [
      {
        "id": "example_string",
        "properties": {},
        "type": "example_string"
      }
    ]
  },
  "id": "example_string",
  "name": "John Doe",
  "namespace": "John Doe",
  "permissions": [
    {
      "category": "example_string",
      "content": "null",
      "created_at": "example_string",
      "deleted_at": "example_string",
      "description": "example_string",
      "id": "example_string",
      "severity": "example_string",
      "status": "example_string",
      "tags": [
        {
          "key": "example_string",
          "source": "example_string",
          "value": "example_string"
        }
      ],
      "title": "example_string",
      "type": "example_string",
      "updated_at": "example_string",
      "version": "example_string",
      "api_groups": [
        "example_string"
      ],
      "cluster_role_uid": "example_string",
      "namespace": "John Doe",
      "resource_names": [
        "John Doe"
      ],
      "resources": [
        "example_string"
      ],
      "role_uid": "example_string",
      "verbs": [
        "example_string"
      ]
    }
  ],
  "role_bindings": [
    {}
  ],
  "updated_at": "example_string"
}
GET
/accounts/{account_id}/resources/rbac/users/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Bearer token - just enter the token, "Bearer" prefix will be added automatically

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Authentication token required.

Path Parameters

Responses

account_idstring
api_groupstring
assigned_rolesarray
cluster_idstring
cluster_role_bindingsobject[]
created_atstring
graphobject
idstring
namestring
namespacestring
permissionsarray
role_bindingsobject[]
updated_atstring